# Update Evidence

## Update a current evidence item

<mark style="color:yellow;">`PUT`</mark> `/api/v1/evidence/:uuid?`

Use this API endpoint to update evidence items within Monolith.

{% hint style="danger" %}
`uuid` is required.
{% endhint %}

**Request Body**

| Name              | Type   | Description                                                                                      |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------ |
| `uuid`            | string | Unique ID of the evidence to be updated. REQUIRED                                                |
| `evidence_number` | string | Evidence number of the evidence being created.                                                   |
| `item_name`       | string | Name of the evidence item.                                                                       |
| `type`            | string | The type of evidence item: (Smartphone, Server, Email, etc...)                                   |
| `location_id`     | number | Changes the location of the evidence item.  Location ID can be retrieved from the Locations API. |
| `provider`        | string | Service provider or manufacturer of evidence.                                                    |
| `model_number`    | string | Evidence model number.                                                                           |
| `unique_id`       | string | Unique ID associated with the device - usually a serial number or account name.                  |
| `size`            | number | Capacity of the evidence                                                                         |
| `size_unit`       | string | <p>Unit of capacity:<br>KB, MB, GB, TB, PB</p>                                                   |
| `description`     | string | Description of the item                                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/evidence-api/update-evidence.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
